Description

The storage_path for a distribution is a directory but the distributor publishes separate symlinks to each file. The 0028 migration

matches symlinks to units by matching the link target to the unit._storage_path. This result in none of the distribution links to be

matched. To correct this, the migration in the platform needs to:

® Support custom Unit classes.
* Add a Unit.files property that defaults to an empty tuple.

* The distribution plan needs to override Plan._new_unit() and return the custom unit.
* The custom Unit needs to override files() to return the value of document.files along with treeinfo and .treeinfo.
The result is, the migration in the platform will know about all of the individual links created by the distributor and that need to be

migrated.

Associated revisions

Revision f54e587d - 06/10/2016 05:14 PM - jortel@redhat.com

Fix migration 0028, distribution links to files within storage path. closes #1972

History

#1 - 06/07/2016 11:09 PM - jortel@redhat.com
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulp_rpm/pull/899

#2 - 06/07/2016 11:11 PM - jortel@redhat.com

- Description updated

#3 - 06/10/2016 05:22 PM - jortel@redhat.com
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset f54e587d87d701a391f16ef372858a98b53ce95c¢c.

#4 - 06/17/2016 06:17 PM - semyers

- Platform Release set to 2.8.5

#5 - 06/17/2016 07:05 PM - semyers
- Status changed from MODIFIED to 5

#7 - 06/24/2016 03:05 PM - pthomas@redhat.com
- Status changed from 5 to 6
https://github.com/pulp/pulp_rpm/pull/899
https://pulp.plan.io/projects/pulp_rpm/repository/9/revisions/f54e587d87d701a391f16ef372858a98b53ce95c

Verified

1. Synced a rhel6 kickstart repo
2. Used the synced distribution file to kickstart a vm

#8 - 06/27/2016 06:58 PM - semyers
- Status changed from 6 to CLOSED - CURRENTRELEASE

#9 - 08/24/2016 07:05 PM - jortel@redhat.com

Also depends on: https://github.com/pulp/pulp/pull/2595

#11 - 04/15/2019 10:29 PM - bmbouter
- Tags Pulp 2 added
https://github.com/pulp/pulp/pull/2595
http://www.tcpdf.org

